<?php
helper::import(dirname(dirname(dirname(__FILE__))) . "/control.php");
class mycaselib extends caselib
{
    public function import($libID)
    {
        if($_FILES)
        {
            $file = $this->loadModel('file')->getUpload('file');
            $file = $file[0];
            if($file['extension'] != 'xlsx') die(js::alert($this->lang->file->onlySupportXLSX));

            $fileName = $this->file->savePath . $this->file->getSaveName($file['pathname']);
            move_uploaded_file($file['tmpname'], $fileName);

            $phpExcel  = $this->app->loadClass('phpexcel');
            $phpReader = new PHPExcel_Reader_Excel2007(); 
            if(!$phpReader->canRead($fileName))
            { 
                $phpReader = new PHPExcel_Reader_Excel5(); 
                if(!$phpReader->canRead($fileName))die(js::alert($this->lang->excel->canNotRead));
            } 
            $this->session->set('fileImport', $fileName);
            die(js::locate(inlink('showImport', "libID=$libID"), 'parent.parent'));
        }
        $this->display();
    }
public function __construct($moduleName = '', $methodName = '')
{
    parent::__construct($moduleName, $methodName);
    if(!is_callable('c_0ed9c40297ff039af2b2ba54::f_bbd8ccd6d02c457ed07f6')) die("License Error.");
$properties = c_0ed9c40297ff039af2b2ba54::f_bbd8ccd6d02c457ed07f6();
$properties = (array)$properties;
$contactEmail  = !empty($properties['email'])  ? $properties['email']  : 'co@zentao.net';
$contactMobile = !empty($properties['mobile']) ? $properties['mobile'] : '4006 889923';
$contactQQ     = !empty($properties['qq']) ? $properties['qq'] : 'co@zentao.net';
if(!empty($properties['domain']))
{
    $host    = $_SERVER['HTTP_HOST'];
    $portPos = strpos($host, ':');
    if($portPos !== false) $host = substr($host, 0, $portPos);
    $host .= $_SERVER['REQUEST_URI'];

    $checkHost  = false;
    $allowHosts = explode(',', $properties['domain']);
    foreach($allowHosts as $allowHost)
    {
        if(strpos($host, $allowHost) !== false)
        {
            $checkHost = true;
            break;
        }
    }
    if(!$checkHost) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>License limited</title>
</head>
<body><h2 style='color:red;text-align:center'>您访问的域名没有得到授权</h2>
您版本绑定的域名是{$properties['domain']}，您目前访问的域名是{$_SERVER['HTTP_HOST']}，如果有问题，请联系我们修改绑定域名。<br>邮件：<a href='mailto:$contactEmail'>$contactEmail</a><br>电话：$contactMobile<br />QQ：$contactQQ<br />网址：<a href='http://www.zentao.net/goto.php?item=buybiz'>www.zentao.net</a><br />
<br /><br /><br /><br/><br/><br/><h2 style='color:red;text-align:center'>This domain is not authorizes.</h2>
The binding domain is {$properties['domain']}, please contact us to change binding domain.<br />email:<a href='mailto:troy@easycorp.ltd'>troy@easycorp.ltd</a><br />Web:<a href='http://www.zentao.pm'>www.zentao.pm</a><br />
<br /><br /><br /><br/><br/><br/>");
}if(empty($this->app->user->feedback))
{
    $user = $this->dao->select("COUNT('*') as count")->from(TABLE_USER)
        ->where('deleted')->eq(0)
        ->beginIF(isset($this->app->user->feedback))->andWhere('feedback')->eq(0)->fi()
        ->fetch();
    if(!empty($properties['user']) and $properties['user'] < $user->count) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>License limited</title>
</head>
<body><h2 style='color:red;text-align:center'>使用人数超出限制</h2>
您版本的研发用户数是{$properties['user']}，您目前系统中已有{$user->count}人，已经超过了限制，请联系我们增加人数授权。<br>邮件：<a href='mailto:$contactEmail'>$contactEmail</a><br>电话：$contactMobile<br />QQ：$contactQQ<br />网址：<a href='http://www.zentao.net/goto.php?item=buybiz'>www.zentao.net</a><br />
<br /><br /><br /><br/><br/><br/><h2 style='color:red;text-align:center'>The number of users excees the limit, {$properties['user']} users. Please contact us to buy more.</h2>
The number of feedback users excees the limit, {$properties['user']} users. Please contact us to buy more.email:<a href='mailto:troy@easycorp.ltd'>troy@easycorp.ltd</a><br />{site}
<br /><br /><br /><br/><br/><br/>");
};
}
}
